Loading...
Searching...
No Matches
CglLandP.hpp File Reference
`#include "CglLandPValidator.hpp"`
`#include "CglCutGenerator.hpp"`
`#include "CglParam.hpp"`
`#include <iostream>`
Include dependency graph for CglLandP.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | LAP::LapMessages
| Output messages for Cgl. More...
class | CglLandP
class | CglLandP::Parameters
| Class storing parameters. More...
class | CglLandP::NoBasisError
class | CglLandP::SimplexInterfaceError
struct | CglLandP::CachedData
| Some informations that will be changed by the pivots and that we want to keep. More...

## Namespaces

namespace | LAP
| Performs one round of Lift & Project using CglLandPSimplex to build cuts.

## Enumerations

enum | LAP::LapMessagesTypes { LAP::BEGIN_ROUND , LAP::END_ROUND , LAP::DURING_SEP , LAP::CUT_REJECTED , LAP::CUT_FAILED , LAP::CUT_GAP , LAP::LAP_CUT_FAILED_DO_MIG , LAP::LAP_MESSAGES_DUMMY_END }

## Functions

void | CglLandPUnitTest (OsiSolverInterface *si, const std::string &mpsDir)

## Function Documentation

## CglLandPUnitTest()

void CglLandPUnitTest | ( | OsiSolverInterface * | si,
|  | const std::string & | mpsDir )